---
title: 'RTCPeerConnection: idpvalidationerror event'
slug: Web/API/RTCPeerConnection/idpvalidationerror_event
tags:
  - API
  - Authentication
  - Error
  - IdP
  - Identity
  - Obsolete
  - Reference
  - Validation
  - WebRTC
  - WebRTC API
  - events
  - idpvalidationerror
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p><span class="seoSummary">An <code><strong>idpvalidationerror</strong></code> event informs the target, a {{domxref("RTCPeerConnection")}} object's {{domxref("RTCPeerConnection.onidpvalidationerror", "onidpvalidationerror")}} event handler, that the identity provider (IdP) encountered an error while validating an identity assertion.</span> An event handler for this event can be added using the {{domxref("RTCPeerConnection.onidpvalidationerror")}} property.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("RTCIdentityErrorEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{DOMxRef("RTCPeerConnection.onidpvalidationerror", "onidpvalidationerror")}}</td>
  </tr>
 </tbody>
</table>

<div class="notecard warning">
<p><strong>Warning:</strong> This event is no longer used; instead, you can detect a validation error by detecting when the {{jsxref("promise")}} returned by {{domxref("RTCPeerConnection.peerIdentity")}} is rejected.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#event-mediastream-idpvalidationerror', 'idpvalidationerror') }}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.idpvalidationerror_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li>{{event("idpassertionerror")}}</li>
</ul>
